[arch-commits] Commit in fuse/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Sun Oct 19 10:16:17 EDT 2008


    Date: Sunday, October 19, 2008 @ 10:16:17
  Author: ronald
Revision: 15849

upgpkg: fuse 2.7.4-1

Modified:
  fuse/trunk/PKGBUILD

----------+
 PKGBUILD |   33 +++++++++++++++++++--------------
 1 file changed, 19 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-19 13:49:27 UTC (rev 15848)
+++ PKGBUILD	2008-10-19 14:16:17 UTC (rev 15849)
@@ -1,38 +1,43 @@
 # $Id$
-# Maintainer: Mark Rosenstand <mark at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Mark Rosenstand <mark at archlinux.org>
+
 pkgname=fuse
-pkgver=2.7.3
+pkgver=2.7.4
 pkgrel=1
 pkgdesc="A library that makes it possible to implement a filesystem in a userspace program."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://fuse.sourceforge.net/"
 license="GPL2"
 depends=('glibc')
 makedepends=('pkgconfig')
 install=fuse.install
-source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
 options=(!libtool)
-md5sums=('98563fc7b265b7479a3178181cbcf59a')
+md5sums=('4879f06570d2225667534c37fea04213')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr --disable-kernel-module --enable-lib \
               --enable-util --bindir=/bin
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$pkgdir install || return 1
 
   # static device nodes will cause collision.
   rm -rf $startdir/pkg/dev
+ 
   # Remove init script in wrong path
   # Don't add our own for now, as fusectl fs oopses on 2.6.18
   rm -rf $startdir/pkg/etc/init.d
   #install -D -m755 $startdir/src/fuse.rc.d $startdir/pkg/etc/rc.d/fuse
 
-  mkdir -p $startdir/pkg/lib
-  mv $startdir/pkg/usr/lib/libfuse.so.${pkgver} $startdir/pkg/lib/ || return 1
-  ln -s ../../lib/libfuse.so.${pkgver} $startdir/pkg/usr/lib/libfuse.so.${pkgver} || return 1
-  ln -s libfuse.so.${pkgver} $startdir/pkg/lib/libfuse.so.2 || return 1
-  mv $startdir/pkg/usr/lib/libulockmgr.so.1.0.1 $startdir/pkg/lib/ || return 1
-  ln -s ../../lib/libulockmgr.so.1.0.1 $startdir/pkg/usr/lib/libulockmgr.so.1.0.1 || return 1
-  ln -s libulockmgr.so.1.0.1 $startdir/pkg/lib/libulockmgr.so.1 || return 1
+  install -d $pkgdir/lib
+  mv $pkgdir/usr/lib/libfuse.so.${pkgver} $pkgdir/lib/ || return 1
+  ln -s ../../lib/libfuse.so.${pkgver} $pkgdir/usr/lib/libfuse.so.${pkgver} || return 1
+  ln -s libfuse.so.${pkgver} $pkgdir/lib/libfuse.so.2 || return 1
+  mv $pkgdir/usr/lib/libulockmgr.so.1.0.1 $pkgdir/lib/ || return 1
+  ln -s ../../lib/libulockmgr.so.1.0.1 $pkgdir/usr/lib/libulockmgr.so.1.0.1 || return 1
+  ln -s libulockmgr.so.1.0.1 $pkgdir/lib/libulockmgr.so.1 || return 1
 }
+
+




More information about the arch-commits mailing list